#
# spec file for package tree-sitter-regex
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         _name regex
Name:           tree-sitter-regex
Version:        0.24.3
Release:        1.1
Summary:        Regex grammar for tree-sitter
License:        MIT
URL:            https://github.com/tree-sitter/tree-sitter-regex
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install
%treesitter_devel_install

#neovim stuff
install -d %{buildroot}%{_libdir}/tree_sitter
ln -s %{_libdir}/lib%{name}.so %{buildroot}%{_libdir}/tree_sitter/%{_name}.so

%files
%license LICENSE
%treesitter_files
%{_libdir}/tree_sitter/%{_name}.so
%if 0%{?suse_version} < 1600
%dir %{_libdir}/tree_sitter
%endif

%treesitter_devel_package

%changelog
* Wed Dec  4 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.24.3:
  * ci(publish): add attestations and generate parser
  * build: update bindings
  * feat: alternative syntax for named groups
- update to 0.24.2:
  * build: update deps
  * feat: support inline flags
  * feat: support hexadecimal escape sequences
  * fix: correct grammar rule for named backreferences
- update to 0.24.1:
  * ci(publish): add github job
- update to 0.24.0:
  * feat: support half-open intervals
  * fix: correct parse tree when character class is only a range
  * feat: allow underscores in named capturing groups
  * feat: add unicode character escapes
  * ci: test every language
  * feat: add support for posix character classes
  * build: update bindings
  * chore: regenerate
  * feat: migrate to tree-sitter.json
- update to 0.23.0:
  * build: update bindings
- switch to download_files service
- add neovim links
- enable devel package
* Sun Jul  7 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Update to version 0.21.0:
  * ci: update workflows
  * build: update bindings and manifests
  * docs: update badges
* Mon Feb 26 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.20.0:
  * chore: rework release action to not use release-please
  * docs: update badge, add Rust readme
  * feat: add release action
  * fix(ci): bump action and node versions
  * refactor: lookaround assertions
  * improve highlights (#12)
  * setup actions CI (#11)
  * rename disjunction to alternation (#10)
  * read braces as pattern_character when not closed (#8)
